Math::Int128::die_on_overflow(3pm)

NAME
Math::Int128::die_on_overflow - catch overflows when using Math::Int128

SYNOPSIS
  use Math::Int128 qw(uint128);
  use Math::Int128::die_on_overflow;

  my $number = uint128(2**64);
  say($number * $number); # overflow error!

SEE ALSO
Math::Int128.

COPYRIGHT AND LICENSE
Copyright © 2011, 2013 by Salvador Fandiño (sfandino@yahoo.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.